Subject: Re: bug#61386: [PATCH] cp,mv,install: Disable sparse copy on macOS

From: George Valkov <[email-masked]>
Date: Tue, 21 Mar 2023 13:55:04 +0200

> On 2023-03-11, at 4:28 PM, Pádraig Brady <[email-masked]> wrote:
> 
> On 11/03/2023 07:29, George Valkov wrote:
>> Hi Paul!
>> Here are the latest test results on macOS 12.6.3:
>> threshold.sh: skipped test: block size of a directory is smaller than 4 bytes
>> SKIP: tests/du/threshold.sh
>> It was also skipped on macOS before the patch, so no change.
>> https://httpstorm.com/share/.openwrt/test/2023-02-06_coreutils-9.1/test-10-16000805eb1bcdf25360471b8bbc8ec3f025e035-ori.txt
>> The folks at OpenWRT asked for an update on the conreutils-9.2 release date?
>> I will let them know the sparse copy fix is already on Savannah master.
> 
> Best guess is 9.2 release is 5 days away.

Thank you for your hard work on coreutils, Pádraig!

I opened a PR for OpenWRT here:
https://github.com/openwrt/openwrt/pull/12233

I remember you made changes to gnulib and m4, but I do not see a new release tag for m4, and I see that OpenWRT builds tools/m4 as a prerequisite for tools/coreutils. The version of m4 currently in use seems outdated. It is downloaded from
https://ftp.gnu.org/gnu/m4/m4-1.4.19.tar.xz
or one of the many @GNU mirrors. The latest version is from 2021-05-28 17:55. What is the current status for m4? I suppose we should instead clone and build gnulib? Is there a source download link or should be clone from the Savanna git repo? Is there a specific release of gnulib or should we checkout the commit selected by coreutils? Or perhaps we should automate the build using:
./bootstrap && ./configure && make

coreutils-9.2 test results on macOS 12.6.3:
https://httpstorm.com/share/.openwrt/test/2023-02-06_coreutils-9.1/test-20-9.2-release.txt

Cheers, mate!

Georgi Valkov
httpstorm.com
nano RTOS